--
-- Table structure for table `chat`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@chat`;
CREATE TABLE `@@DB_MAIN_PREFIX@@chat` (
  `ID` int(11) NOT NULL auto_increment,
  `gruppe` int(4) default NULL,
  `von` int(8) default NULL,
  `an` int(8) default NULL,
  `zeile` text,
  `eingabe` text,
  `zeit` int(11) default NULL,
  PRIMARY KEY  (`ID`),
  KEY `chat_gruppe` (`gruppe`),
  KEY `chat_von` (`von`),
  KEY `chat_an` (`an`)
) ENGINE=MyISAM ;

--
-- Table structure for table `chat_alive`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@chat_alive`;
CREATE TABLE `@@DB_MAIN_PREFIX@@chat_alive` (
  `ID` int(11) NOT NULL auto_increment,
  `gruppe` int(4) default NULL,
  `user_name` varchar(255) default NULL,
  `user_loginname` varchar(255) default NULL,
  `chat_userfirstname` varchar(255) default NULL,
  `zeit` int(11) default NULL,
  PRIMARY KEY  (`ID`),
  KEY `chat_alive_gruppe` (`gruppe`)
) ENGINE=MyISAM ;


--
-- Table structure for table `contacts`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@contacts`;
CREATE TABLE `@@DB_MAIN_PREFIX@@contacts` (
  `ID` int(8) NOT NULL auto_increment,
  `vorname` varchar(20) default NULL,
  `nachname` varchar(40) default NULL,
  `gruppe` int(4) default NULL,
  `firma` varchar(60) default NULL,
  `email` varchar(80) default NULL,
  `tel1` varchar(60) default NULL,
  `tel2` varchar(60) default NULL,
  `fax` varchar(60) default NULL,
  `strasse` varchar(60) default NULL,
  `stadt` varchar(60) default NULL,
  `plz` varchar(10) default NULL,
  `land` varchar(40) default NULL,
  `kategorie` varchar(40) default NULL,
  `bemerkung` text,
  `von` int(8) default NULL,
  `acc` varchar(4) default NULL,
  `email2` varchar(80) default NULL,
  `mobil` varchar(60) default NULL,
  `url` varchar(80) default NULL,
  `div1` varchar(60) default NULL,
  `div2` varchar(60) default NULL,
  `anrede` varchar(20) default NULL,
  `state` varchar(40) default NULL,
  `import` char(1) default NULL,
  `parent` int(8) default NULL,
  `sync1` varchar(20) default NULL,
  `sync2` varchar(20) default NULL,
  `acc_read` text,
  `acc_write` text,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `contacts_import_patterns`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@contacts_import_patterns`;
CREATE TABLE `@@DB_MAIN_PREFIX@@contacts_import_patterns` (
  `ID` int(8) NOT NULL auto_increment,
  `name` varchar(40) default NULL,
  `von` int(6) default NULL,
  `pattern` text,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `contacts_prof_rel`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@contacts_prof_rel`;
CREATE TABLE `@@DB_MAIN_PREFIX@@contacts_prof_rel` (
  `ID` int(8) NOT NULL auto_increment,
  `contact_ID` int(8) default NULL,
  `contacts_profiles_ID` int(8) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `contacts_profiles`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@contacts_profiles`;
CREATE TABLE `@@DB_MAIN_PREFIX@@contacts_profiles` (
  `ID` int(8) NOT NULL auto_increment,
  `von` int(8) default NULL,
  `name` varchar(128) default NULL,
  `remark` text,
  `kategorie` varchar(20) default NULL,
  `acc` varchar(4) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `costs`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@costs`;
CREATE TABLE `@@DB_MAIN_PREFIX@@costs` (
  `ID` int(8) NOT NULL auto_increment,
  `von` int(8) default NULL,
  `name` varchar(255) default NULL,
  `remark` text,
  `amount` varchar(255) default NULL,
  `contact` int(8) default NULL,
  `projekt` int(8) default NULL,
  `datum` varchar(20) default NULL,
  `sync1` varchar(20) default NULL,
  `sync2` varchar(20) default NULL,
  `acc` text,
  `acc_write` text,
  `gruppe` int(8) default NULL,
  `parent` int(8) default NULL,
  `is_deleted` int(1) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `datei_history`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@datei_history`;
CREATE TABLE `@@DB_MAIN_PREFIX@@datei_history` (
  `ID` int(8) NOT NULL auto_increment,
  `date` varchar(20) default NULL,
  `remark` text,
  `author` int(6) default NULL,
  `parent` int(8) default NULL,
  `version` varchar(4) default NULL,
  `tempname` varchar(255) default NULL,
  `userfile` varchar(255) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `dateien`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@dateien`;
CREATE TABLE `@@DB_MAIN_PREFIX@@dateien` (
  `ID` int(8) NOT NULL auto_increment,
  `von` int(8) default NULL,
  `filename` varchar(255) default NULL,
  `userfile` varchar(255) default NULL,
  `remark` text,
  `kat` varchar(40) default NULL,
  `acc` text,
  `datum` varchar(20) default NULL,
  `filesize` int(11) default NULL,
  `gruppe` int(8) default NULL,
  `tempname` varchar(255) default NULL,
  `typ` varchar(40) default NULL,
  `div1` varchar(40) default NULL,
  `div2` varchar(40) default NULL,
  `pw` varchar(255) default NULL,
  `acc_write` text,
  `version` varchar(4) default NULL,
  `lock_user` int(6) default NULL,
  `contact` int(6) default NULL,
  `parent` int(8) default NULL,
  `versioning` int(1) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `db_accounts`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@db_accounts`;
CREATE TABLE `@@DB_MAIN_PREFIX@@db_accounts` (
  `ID` int(8) NOT NULL auto_increment,
  `name` varchar(60) default NULL,
  `users` varchar(10) default NULL,
  `gruppe` varchar(10) default NULL,
  `escalation` int(8) default NULL,
  `account_ID` int(8) default NULL,
  `account_type` varchar(80) default NULL,
  `message` text,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `db_manager`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@db_manager`;
CREATE TABLE `@@DB_MAIN_PREFIX@@db_manager` (
  `ID` int(8) NOT NULL auto_increment,
  `db_table` varchar(40) default NULL,
  `db_name` varchar(40) default NULL,
  `form_name` varchar(255) default NULL,
  `form_type` varchar(20) default NULL,
  `form_tooltip` varchar(255) default NULL,
  `form_pos` int(4) default NULL,
  `form_colspan` int(2) default NULL,
  `form_rowspan` int(2) default NULL,
  `form_regexp` varchar(255) default NULL,
  `form_default` varchar(255) default NULL,
  `form_select` text,
  `list_pos` int(4) default NULL,
  `list_alt` varchar(2) default NULL,
  `filter_show` varchar(2) default NULL,
  `db_inactive` int(1) default NULL,
  `rights` varchar(4) default NULL,
  `ownercolumn` varchar(255) default NULL,
  `form_length` int(11) default NULL,
  `field_type` varchar(20) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM;

--
-- Dumping data for table `db_manager`
--

LOCK TABLES `db_manager` WRITE;
/*!40000 ALTER TABLE `@@DB_MAIN_PREFIX@@db_manager` DISABLE KEYS */;
INSERT INTO `@@DB_MAIN_PREFIX@@db_manager` VALUES (1,'contacts','vorname','__(\"First Name\")','text','Type in the first name of the person',4,1,1,NULL,NULL,NULL,2,NULL,'1',0,NULL,NULL,NULL,NULL),(2,'contacts','firma','__(\"Company\")','text','Name of associated team or company',6,1,1,NULL,NULL,NULL,4,NULL,'1',0,NULL,NULL,NULL,NULL),(3,'contacts','nachname','__(\"Family Name\")','text','give the description: last name, company name or organisation etc.',5,1,1,NULL,NULL,NULL,1,NULL,'1',0,NULL,NULL,NULL,NULL),(4,'contacts','anrede','__(\"Salutation\")','text','Title of the person: Mr, Mrs, Dr., Majesty etc. ...',1,1,1,NULL,NULL,NULL,0,NULL,'0',0,NULL,NULL,NULL,NULL),(5,'contacts','email2','__(\"Email\") 2','email','enter an alternative mail address of this contact',18,1,1,NULL,NULL,NULL,0,'0','0',0,NULL,NULL,NULL,NULL),(6,'contacts','tel1','__(\"Phone\") 1','text','enter the primary phone number of this contact',8,1,1,NULL,NULL,NULL,5,NULL,'0',0,NULL,NULL,NULL,NULL),(7,'contacts','strasse','__(\"Street\")','text','the street where the person lives or the company is located',11,1,1,NULL,NULL,NULL,0,NULL,'0',0,NULL,NULL,NULL,NULL),(8,'contacts','tel2','__(\"Phone\") 2','text','enter the secondary phone number of this contact',9,1,1,NULL,NULL,NULL,0,'3','0',0,NULL,NULL,NULL,NULL),(9,'contacts','fax','__(\"Fax\")','text','enter the fax number of this contact',10,1,1,NULL,NULL,NULL,0,'0','0',0,NULL,NULL,NULL,NULL),(10,'contacts','stadt','__(\"City\")','text','the city where the person lives or the company is located',12,1,1,NULL,NULL,NULL,0,NULL,'0',0,NULL,NULL,NULL,NULL),(11,'contacts','plz','__(\"Zip code\")','text','the coresponding zip code',13,1,1,NULL,NULL,NULL,0,NULL,'0',0,NULL,NULL,NULL,NULL),(12,'contacts','land','__(\"Country\")','text','the country',15,1,1,NULL,NULL,NULL,0,NULL,'0',0,NULL,NULL,NULL,NULL),(13,'contacts','bemerkung','__(\"Comment\")','textarea','a comment about this record',17,1,3,NULL,NULL,NULL,0,'2','0',0,NULL,NULL,NULL,NULL),(14,'contacts','mobil','__(\"Mobile\")','phone','enter the cellular phone number',19,1,1,NULL,NULL,NULL,0,'4','0',0,NULL,NULL,NULL,NULL),(15,'contacts','url','__(\"URL\")','url','the homepage - private or business',20,1,1,NULL,NULL,NULL,0,NULL,'0',0,NULL,NULL,NULL,NULL),(16,'contacts','div1','Userdefined','text','a default userdefined field',21,1,1,NULL,NULL,NULL,0,NULL,'0',0,NULL,NULL,NULL,NULL),(17,'contacts','div2','Userdefined','text','another default userdefined field',22,1,1,NULL,NULL,NULL,0,NULL,'0',0,NULL,NULL,NULL,NULL),(18,'contacts','state','__(\"State\")','text','region or state (USA)',17,1,1,NULL,NULL,NULL,0,NULL,'0',0,NULL,NULL,NULL,NULL),(19,'contacts','email','__(\"Email\")','email','enter the main email address of this contact',5,1,1,NULL,NULL,NULL,3,NULL,'1',0,NULL,NULL,NULL,NULL),(20,'contacts','kategorie','__(\"Category\")','select_category','Select an existing category or insert a new one',23,1,1,NULL,NULL,'(acc like system or ((von =  or acc like group or acc like %\"\"%) and (1 = 1)))',0,NULL,'1',0,NULL,NULL,NULL,NULL),(21,'contacts','von','__(\"Author\")','user_show',NULL,0,1,1,NULL,NULL,NULL,0,'1','1',0,NULL,NULL,NULL,'integer'),(22,'notes','remark','__(\"Comment\")','textarea','bodytext of the note',4,1,5,NULL,NULL,NULL,2,NULL,'1',0,NULL,NULL,NULL,NULL),(23,'notes','name','__(\"Title\")','text','Title of this note',1,1,1,'',NULL,NULL,1,NULL,'1',0,NULL,NULL,NULL,NULL),(24,'notes','contact','__(\"Contact\")','contact','Contact related to this note',5,1,1,NULL,NULL,NULL,3,NULL,NULL,0,NULL,NULL,NULL,'integer'),(25,'notes','projekt','__(\"Projects\")','project','Project related to this note',6,1,1,NULL,NULL,NULL,4,NULL,NULL,0,NULL,NULL,NULL,'integer'),(26,'notes','kategorie','__(\"Category\")','select_category','Select an existing category or insert a new one',7,1,1,NULL,NULL,'(acc like system or ((von =  or acc like group or acc like %\"\"%) and (1 = 1)))',0,NULL,'1',0,NULL,NULL,NULL,NULL),(27,'notes','div1','__(\"added\")','timestamp_create','',100,1,1,NULL,NULL,'',0,'2','0',0,NULL,NULL,NULL,NULL),(28,'notes','div2','__(\"changed\")','timestamp_modify','',101,1,1,NULL,NULL,'',0,'3','0',0,NULL,NULL,NULL,NULL),(29,'notes','von','__(\"Author\")','user_show',NULL,0,1,1,NULL,NULL,NULL,0,'1','1',0,NULL,NULL,NULL,'integer'),(30,'projekte','ende','__(\"End\")','date','planned end',6,1,1,NULL,NULL,NULL,3,NULL,'1',0,NULL,NULL,NULL,NULL),(31,'projekte','name','__(\"Project Name\")','text','the name of the project',1,1,1,NULL,NULL,NULL,1,NULL,'1',0,NULL,NULL,NULL,NULL),(32,'projekte','wichtung','__(\"Priority\")','select_values','set the priority of this project',4,1,1,NULL,NULL,'0|1|2|3|4|5|6|7|8|9',0,'2','1',0,NULL,NULL,NULL,NULL),(33,'projekte','anfang','__(\"Begin\")','date','start day',5,1,1,NULL,NULL,NULL,2,NULL,'1',0,NULL,NULL,NULL,NULL),(34,'projekte','status','__(\"Status\") [%]','text','current completion status',NULL,NULL,NULL,NULL,NULL,'0',NULL,'3','1',0,NULL,NULL,NULL,'integer'),(35,'projekte','statuseintrag','__(\"Last status change\")','display','date of last change of status',12,1,1,NULL,NULL,NULL,0,'0','1',1,NULL,NULL,NULL,'integer'),(36,'projekte','ziel','__(\"Aim\")','textarea','descirbe the aim of this project',8,1,4,NULL,NULL,NULL,0,'0','0',1,NULL,NULL,NULL,NULL),(37,'projekte','note','__(\"Remark\")','textarea','remarks',7,1,4,NULL,NULL,NULL,0,'3','1',0,NULL,NULL,NULL,NULL),(38,'projekte','contact','__(\"Contact\")','contact','select the customer/contact',NULL,NULL,NULL,NULL,NULL,NULL,0,'0','0',1,NULL,NULL,NULL,'integer'),(39,'projekte','stundensatz','__(\"Hourly rate\")','text','hourly rate of this project',9,1,1,NULL,NULL,NULL,0,'0','0',0,NULL,NULL,NULL,'integer'),(40,'projekte','budget','__(\"Calculated budget\")','text','',10,1,1,NULL,NULL,NULL,0,'0','0',0,NULL,NULL,NULL,'integer'),(41,'projekte','von','__(\"Author\")','user_show',NULL,0,1,1,NULL,NULL,NULL,0,'1','1',0,NULL,NULL,NULL,'integer'),(42,'projekte','kategorie','__(\"Category\")','select_values','current category (or status) of this project',14,1,1,NULL,NULL,'1#__(\"offered\")|2#__(\"ordered\")|3#__(\"Working\")|4#__(\"ended\")|5#__(\"stopped\")|6#__(\"Re-Opened\")|7#__(\"waiting\")',1,'3','1',0,NULL,NULL,NULL,NULL),(43,'projekte','chef','__(\"Leader\")','userID','Select a user of this group as the project leader',15,1,1,NULL,NULL,NULL,0,'0','0',0,NULL,NULL,NULL,NULL),(44,'rts','name','__(\"Title\")','text','the title of the request',1,1,1,NULL,NULL,NULL,1,'0','1',0,NULL,NULL,NULL,NULL),(45,'rts','note','__(\"Problem Description\")','textarea','the body of the request set by the customer',15,1,5,'','','',0,'on','1',0,NULL,NULL,NULL,NULL),(46,'rts','submit','__(\"Date\")','timestamp_create','date/time the request ha been submitted',5,1,1,'','','',2,'on','1',0,NULL,NULL,NULL,NULL),(47,'rts','von','__(\"Author\")','authorID','the user who wrote this request',3,1,1,'','','',3,'on','1',0,NULL,NULL,NULL,'integer'),(48,'rts','contact','__(\"Contact\")','contact_create','contact related to this request',7,1,1,NULL,NULL,NULL,0,'0','0',0,NULL,NULL,NULL,'integer'),(49,'rts','due_date','__(\"Due date\")','date','due date of this request',6,1,1,'','','',0,'3','1',0,NULL,NULL,NULL,NULL),(50,'rts','assigned','__(\"Assigned\")','userID','assign the request to this user',4,1,1,'','','',4,'on','1',0,NULL,NULL,NULL,NULL),(51,'rts','priority','__(\"Priority\")','select_values','set the priority of this project',10,1,1,NULL,NULL,'0|1|2|3|4|5|6|7|8|9',5,NULL,'1',0,NULL,NULL,NULL,'integer'),(52,'rts','lock_user','__(\"Locked by\")','userID','This ticket was locked by the follwing user',0,1,1,NULL,NULL,NULL,0,'5',NULL,0,NULL,NULL,NULL,'integer'),(53,'rts','solution','__(\"Solve\")','textarea','A text will cause: a mail to the customer and closing the request',0,1,1,NULL,NULL,NULL,0,'0','1',0,NULL,NULL,NULL,NULL),(54,'rts','solved','__(\"Solved\") __(\"From\")','user_show','the user who has solved this request',13,1,1,'','','',0,'on','1',0,NULL,NULL,NULL,'integer'),(55,'rts','solve_time','__(\"Solved\")','timestamp_show','date and time when the request has been solved',14,1,1,NULL,NULL,NULL,0,'0','0',0,NULL,NULL,NULL,NULL),(56,'rts','category','__(\"Account\")','select_sql','',8,1,1,'','','SELECT ID,name                                                FROM @DB_PREFIX@db_accounts',0,'','1',0,NULL,NULL,NULL,NULL),(57,'rts','proj','__(\"Projects\")','project','project related to this request',9,1,1,NULL,NULL,'',0,'0','0',0,NULL,NULL,NULL,'integer'),(58,'rts','status','__(\"Status\")','select_values','state of this request',0,1,1,'','','1#__(\"open\")|2# __(\"assigned\")|3#__(\"solved\")|4# __(\"verified\")|5# __(\"closed\")',6,'on','1',0,NULL,NULL,NULL,NULL),(59,'rts','filename','__(\"Attachment\")','upload','',11,1,1,'','','',0,'','',0,NULL,NULL,NULL,NULL),(60,'rts','ID','__(\"Ticket ID\")','display','',2,1,1,'','','',0,'4','1',0,NULL,NULL,NULL,'integer'),(61,'dateien','filename','__(\"Change Filename\")','text','Title of the file or directory',1,1,1,'',NULL,NULL,1,NULL,'1',0,NULL,NULL,NULL,NULL),(62,'dateien','remark','__(\"Comment\")','textarea','remark related to this file',4,1,5,NULL,NULL,NULL,0,NULL,'1',0,NULL,NULL,NULL,NULL),(63,'dateien','contact','__(\"Contact\")','contact','Contact related to this file',5,1,1,NULL,NULL,NULL,4,NULL,NULL,0,NULL,NULL,NULL,'integer'),(64,'dateien','div2','__(\"Projects\")','project','Project related to this file',6,1,1,NULL,NULL,NULL,3,NULL,NULL,0,NULL,NULL,NULL,NULL),(65,'dateien','kat','__(\"Category\")','select_category','Select an existing category or insert a new one',7,1,1,NULL,NULL,'(acc like system or ((von =  or acc like group or acc like %\"\"%) and (1 = 1)))',0,'2','1',0,NULL,NULL,NULL,NULL),(66,'dateien','datum','__(\"changed\")','timestamp_modify','',101,1,1,NULL,NULL,'',0,NULL,'0',0,NULL,NULL,NULL,NULL),(67,'dateien','filesize','__(\"filesize (Byte)\")','display_byte','',0,1,1,NULL,NULL,'',2,NULL,'0',0,NULL,NULL,NULL,'integer'),(68,'dateien','lock_user','__(\"locked by\")','user_show','Name of the user who has locked this file temporarly',11,1,1,'','','',0,'3','0',0,NULL,NULL,NULL,'integer'),(69,'dateien','von','__(\"Author\")','user_show',NULL,0,1,1,NULL,NULL,NULL,0,'1','1',0,NULL,NULL,NULL,'integer'),(70,'todo','remark','__(\"Title\")','text','Kurze Beschreibung',1,1,1,NULL,NULL,NULL,1,NULL,'1',0,NULL,NULL,NULL,NULL),(71,'todo','deadline','__(\"Deadline\")','date','',7,1,1,'','','',4,'','1',0,NULL,NULL,NULL,NULL),(72,'todo','datum','__(\"Date\")','timestamp_create','',5,1,1,'','','',0,'','1',0,NULL,NULL,NULL,NULL),(73,'todo','priority','__(\"Priority\")','select_values',NULL,4,1,1,NULL,NULL,'0|1|2|3|4|5|6|7|8|9',0,'2','1',0,NULL,NULL,NULL,'integer'),(74,'todo','project','__(\"Project\")','project',NULL,9,1,1,NULL,NULL,NULL,6,NULL,'1',0,NULL,NULL,NULL,'integer'),(75,'todo','contact','__(\"Contact\")','contact',NULL,8,1,1,NULL,NULL,NULL,0,NULL,'1',0,NULL,NULL,NULL,'integer'),(76,'todo','note','__(\"Describe your request\")','textarea',NULL,11,2,3,NULL,NULL,NULL,0,NULL,'1',0,NULL,NULL,NULL,NULL),(77,'todo','comment1','__(\"Remark\") __(\"Author\")','textarea',NULL,12,2,3,NULL,NULL,NULL,NULL,NULL,'1',1,'o','von',NULL,NULL),(78,'todo','comment2','__(\"Remark\") __(\"Receiver\")','textarea',NULL,13,2,3,NULL,NULL,NULL,NULL,NULL,'1',1,'o','ext',NULL,NULL),(79,'todo','von','__(\"Of\")','user_show',NULL,2,1,1,NULL,NULL,NULL,2,'1','1',0,NULL,NULL,NULL,'integer'),(80,'todo','anfang','__(\"Begin\")','date',NULL,6,1,1,NULL,NULL,NULL,0,NULL,'1',0,NULL,NULL,NULL,NULL),(81,'todo','ext','__(\"To\")','userID',NULL,3,1,1,NULL,NULL,NULL,3,NULL,'1',0,NULL,NULL,NULL,'integer'),(82,'todo','progress','__(\"Progress\") [%]','text',NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,NULL,0,NULL,NULL,NULL,'integer'),(83,'todo','status','__(\"Status\")','select_values',NULL,NULL,NULL,NULL,NULL,NULL,'1#__(\"waiting\")|2#__(\"Open\")|3#__(\"accepted\")|4#__(\"rejected\")|5#__(\"ended\")',7,NULL,NULL,0,NULL,NULL,NULL,'integer'),(84,'termine','event','__(\"Title\")','text','Title of this event',1,1,1,'',NULL,NULL,1,NULL,'1',0,NULL,NULL,NULL,NULL),(85,'termine','datum','__(\"Date\")','text','Date of this event',2,1,1,'',NULL,NULL,4,NULL,'1',0,NULL,NULL,NULL,NULL),(86,'termine','anfang','__(\"Start\")','text','Title of this event',3,1,1,'',NULL,NULL,5,NULL,'1',0,NULL,NULL,NULL,NULL),(87,'termine','ende','__(\"End\")','text','end of this event',4,1,1,'',NULL,NULL,6,NULL,'1',0,NULL,NULL,NULL,NULL),(88,'termine','von','__(\"Author\")','select_sql','Author of this event',5,1,1,'',NULL,'SELECT DISTINCT u.ID, u.nachname, u.vorname\r\n                                                FROM @DB_PREFIX@termine AS t, @DB_PREFIX@users AS u\r\n                                               WHERE t.von = u.ID\r\n                                                 AND t.an  = $user_ID\r\n                                            ORDER BY u.nachname, u.vorname',2,'1','0',0,NULL,NULL,NULL,'integer'),(89,'termine','an','__(\"Recipient\")','select_sql','Recipient',6,1,1,'',NULL,'SELECT DISTINCT u.ID, u.nachname, u.vorname\r\n                                                FROM @DB_PREFIX@termine AS t, @DB_PREFIX@users AS u\r\n                                               WHERE t.an  = u.ID\r\n                                                 AND t.von = $user_ID\r\n                                            ORDER BY u.nachname, u.vorname',3,NULL,'0',0,NULL,NULL,NULL,'integer'),(90,'termine','partstat','__(\"Participation\")','select_values','Title of this event',7,1,1,'',NULL,'1#__(\"untreated\")|2#__(\"accepted\")|3#__(\"rejected\")',7,NULL,'1',0,NULL,NULL,NULL,'integer'),(91,'termine','remark','__(\"Remark\")','text','',0,0,0,'',NULL,NULL,0,'2','0',0,NULL,NULL,NULL,NULL),(92,'termine','ort','__(\"Location\")','text','',0,0,0,'',NULL,NULL,0,'3','0',0,NULL,NULL,NULL,NULL),(93,'mail_client','remark','__(\"Comment\")','textarea',NULL,1,2,2,NULL,NULL,NULL,0,'2','on',0,NULL,NULL,NULL,NULL),(94,'mail_client','subject','__(\"subject\")','text',NULL,0,0,0,NULL,NULL,NULL,1,NULL,'on',0,NULL,NULL,NULL,NULL),(95,'mail_client','sender','__(\"Sender\")','email',NULL,0,0,0,NULL,NULL,NULL,2,NULL,'on',0,NULL,NULL,NULL,NULL),(96,'mail_client','kat','__(\"Category\")','select_category',NULL,2,2,1,NULL,NULL,NULL,0,'3','on',0,NULL,NULL,NULL,NULL),(97,'mail_client','projekt','__(\"Project\")','project',NULL,3,2,1,NULL,NULL,NULL,0,'4','on',0,NULL,NULL,NULL,'integer'),(98,'mail_client','date_inserted','__(\"Date\")','timestamp',NULL,0,0,0,NULL,NULL,NULL,4,NULL,'on',0,NULL,NULL,NULL,NULL),(99,'mail_client','contact','__(\"Contact\")','contact',NULL,4,2,1,NULL,NULL,NULL,0,NULL,'on',0,NULL,NULL,NULL,'integer'),(100,'mail_client','von','__(\"Author\")','user_show',NULL,0,1,1,NULL,NULL,NULL,0,'1','on',0,NULL,NULL,NULL,'integer'),(101,'mail_client','recipient','__(\"To\")','email',NULL,0,0,0,NULL,NULL,NULL,3,'0','on',0,NULL,NULL,NULL,NULL),(102,'mail_client','body','__(\"Body\")','text',NULL,0,0,0,NULL,NULL,NULL,0,'5','on',0,NULL,NULL,NULL,NULL),(103,'db_records','t_module','__(\"Module\")','display','Module name',1,1,1,NULL,NULL,NULL,1,NULL,'1',0,NULL,NULL,NULL,NULL),(104,'db_records','t_remark','__(\"Remark\")','text','Remark',3,1,1,NULL,NULL,NULL,2,NULL,'1',0,NULL,NULL,NULL,NULL),(105,'db_records','t_archiv','__(\"Archive\")','text','Archive',0,1,1,NULL,NULL,NULL,0,NULL,'1',0,NULL,NULL,NULL,'integer'),(106,'db_records','t_touched','__(\"Touched\")','text','Touched',0,1,1,NULL,NULL,NULL,0,NULL,'1',0,NULL,NULL,NULL,'integer'),(107,'db_records','t_name','__(\"Title\")','text','Title',2,1,1,NULL,NULL,NULL,1,NULL,'1',0,NULL,NULL,NULL,NULL),(108,'db_records','t_wichtung','__(\"Priority\")','select_values','Priority',4,1,1,NULL,NULL,'0|1|2|3|4|5|6|7|8|9',4,NULL,'1',0,NULL,NULL,NULL,'integer'),(109,'db_records','t_reminder_datum','__(\"Resubmission at:\")','date','Date',5,1,1,NULL,NULL,'',5,NULL,'1',0,NULL,NULL,NULL,NULL),(110,'db_records','t_record','__(\"Record set\")','display','ID of the target record',0,1,1,'',NULL,NULL,0,NULL,'0',0,NULL,NULL,NULL,'integer'),(111,'db_records','t_datum','__(\"Date\")','date','',0,1,1,NULL,NULL,'',0,NULL,'0',0,NULL,NULL,NULL,NULL),(112,'costs','name','__(\"Title\")','text','Title of this note',1,1,1,NULL,NULL,NULL,1,NULL,'1',0,NULL,NULL,NULL,NULL),(113,'costs','remark','__(\"Comment\")','textarea','bodytext of the note',2,1,5,NULL,NULL,NULL,2,NULL,'1',0,NULL,NULL,NULL,NULL),(114,'costs','amount','__(\"Amount\")','text','Amount of the cost',3,1,1,NULL,NULL,NULL,0,NULL,'1',0,NULL,NULL,NULL,NULL),(115,'costs','contact','__(\"Contact\")','contact','Contact related to this note',4,1,1,NULL,NULL,NULL,4,NULL,'1',0,NULL,NULL,NULL,'integer'),(116,'costs','projekt','__(\"Projects\")','project','Project related to this note',5,1,1,NULL,NULL,NULL,5,NULL,'1',0,NULL,NULL,NULL,'integer'),(117,'costs','datum','__(\"Date\")','date','Datum',6,1,1,NULL,NULL,NULL,6,NULL,'1',0,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `@@DB_MAIN_PREFIX@@db_manager` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `db_records`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@db_records`;
CREATE TABLE `@@DB_MAIN_PREFIX@@db_records` (
  `t_ID` int(8) NOT NULL auto_increment,
  `t_author` int(6) default NULL,
  `t_module` varchar(40) default NULL,
  `t_record` int(8) default NULL,
  `t_name` varchar(255) default NULL,
  `t_datum` varchar(20) default NULL,
  `t_touched` int(2) default NULL,
  `t_archiv` int(2) default NULL,
  `t_reminder` int(2) default NULL,
  `t_reminder_datum` varchar(20) default NULL,
  `t_wichtung` int(2) default NULL,
  `t_remark` text,
  `t_acc` text,
  `t_gruppe` int(6) default NULL,
  `t_parent` int(6) default NULL,
  PRIMARY KEY  (`t_ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `db_remarks`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@db_remarks`;
CREATE TABLE `@@DB_MAIN_PREFIX@@db_remarks` (
  `ID` int(8) NOT NULL auto_increment,
  `module` varchar(40) default NULL,
  `module_ID` int(8) default NULL,
  `date` varchar(20) default NULL,
  `remark` text,
  `author` varchar(80) default NULL,
  `parent` int(8) default NULL,
  `upload` text,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `filter`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@filter`;
CREATE TABLE `@@DB_MAIN_PREFIX@@filter` (
  `ID` int(8) NOT NULL auto_increment,
  `von` int(8) default NULL,
  `module` varchar(255) default NULL,
  `name` varchar(255) default NULL,
  `remark` text,
  `filter` text,
  `filter_sort` varchar(100) default NULL,
  `filter_direction` varchar(4) default NULL,
  `filter_operator` varchar(10) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `forum`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@forum`;
CREATE TABLE `@@DB_MAIN_PREFIX@@forum` (
  `ID` int(8) NOT NULL auto_increment,
  `antwort` int(8) default NULL,
  `von` int(8) default NULL,
  `titel` varchar(80) default NULL,
  `remark` text,
  `kat` varchar(20) default NULL,
  `datum` varchar(20) default NULL,
  `gruppe` int(4) default NULL,
  `lastchange` varchar(20) default NULL,
  `notify` varchar(2) default NULL,
  `acc` text,
  `acc_write` text,
  `parent` int(8) default NULL,
  PRIMARY KEY  (`ID`),
  KEY `forum_antwort` (`antwort`)
) ENGINE=MyISAM ;


--
-- Table structure for table `global_mail_account`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@global_mail_account`;
CREATE TABLE `@@DB_MAIN_PREFIX@@global_mail_account` (
  `ID` int(8) NOT NULL auto_increment,
  `module` varchar(40) default NULL,
  `accountname` varchar(40) default NULL,
  `hostname` varchar(80) default NULL,
  `type` varchar(60) default NULL,
  `username` varchar(60) default NULL,
  `password` varchar(60) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `grup_user`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@grup_user`;
CREATE TABLE `@@DB_MAIN_PREFIX@@grup_user` (
  `ID` int(8) NOT NULL auto_increment,
  `grup_ID` int(4) default NULL,
  `user_ID` int(8) default NULL,
  PRIMARY KEY  (`ID`),
  KEY `grup_user_user_ID` (`user_ID`),
  KEY `grup_user_grup_ID` (`grup_ID`)
) ENGINE=MyISAM ;

--
-- Dumping data for table `grup_user`
--

LOCK TABLES `grup_user` WRITE;
/*!40000 ALTER TABLE `@@DB_MAIN_PREFIX@@grup_user` DISABLE KEYS */;
INSERT INTO `@@DB_MAIN_PREFIX@@grup_user` VALUES (1,1,2);
/*!40000 ALTER TABLE `@@DB_MAIN_PREFIX@@grup_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gruppen`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@gruppen`;
CREATE TABLE `@@DB_MAIN_PREFIX@@gruppen` (
  `ID` int(8) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `kurz` varchar(10) default NULL,
  `kategorie` varchar(255) default NULL,
  `bemerkung` varchar(255) default NULL,
  `chef` int(8) default NULL,
  `div1` varchar(255) default NULL,
  `div2` varchar(255) default NULL,
  `ldap_name` text,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;

--
-- Dumping data for table `gruppen`
--

LOCK TABLES `gruppen` WRITE;
/*!40000 ALTER TABLE `@@DB_MAIN_PREFIX@@gruppen` DISABLE KEYS */;
INSERT INTO `@@DB_MAIN_PREFIX@@gruppen` VALUES (1,'default','def','default',NULL,1,NULL,NULL,NULL);
/*!40000 ALTER TABLE `@@DB_MAIN_PREFIX@@gruppen` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `history`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@history`;
CREATE TABLE `@@DB_MAIN_PREFIX@@history` (
  `ID` int(8) NOT NULL auto_increment,
  `von` int(8) default NULL,
  `h_date` varchar(20) default NULL,
  `h_table` varchar(60) default NULL,
  `h_field` varchar(60) default NULL,
  `h_record` int(8) default NULL,
  `last_value` text,
  `new_value` text,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `lesezeichen`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@lesezeichen`;
CREATE TABLE `@@DB_MAIN_PREFIX@@lesezeichen` (
  `ID` int(8) NOT NULL auto_increment,
  `datum` varchar(20) default NULL,
  `von` int(8) default NULL,
  `url` varchar(255) default NULL,
  `bezeichnung` varchar(255) default NULL,
  `bemerkung` varchar(255) default NULL,
  `gruppe` int(6) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `logintoken`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@logintoken`;
CREATE TABLE `@@DB_MAIN_PREFIX@@logintoken` (
  `ID` int(8) NOT NULL auto_increment,
  `von` int(8) default NULL,
  `token` varchar(255) default NULL,
  `user_ID` int(8) default NULL,
  `url` varchar(255) default NULL,
  `valid` varchar(20) default NULL,
  `used` varchar(20) default NULL,
  `datum` varchar(20) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `logs`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@logs`;
CREATE TABLE `@@DB_MAIN_PREFIX@@logs` (
  `ID` int(8) NOT NULL auto_increment,
  `von` int(8) default NULL,
  `login` varchar(20) default NULL,
  `logout` varchar(20) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `mail_account`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@mail_account`;
CREATE TABLE `@@DB_MAIN_PREFIX@@mail_account` (
  `ID` int(8) NOT NULL auto_increment,
  `von` int(8) default NULL,
  `accountname` varchar(40) default NULL,
  `hostname` varchar(80) default NULL,
  `type` varchar(60) default NULL,
  `username` varchar(60) default NULL,
  `password` varchar(60) default NULL,
  `mail_auth` int(2) default NULL,
  `pop_hostname` varchar(40) default NULL,
  `pop_account` varchar(40) default NULL,
  `pop_password` varchar(40) default NULL,
  `smtp_hostname` varchar(40) default NULL,
  `smtp_account` varchar(40) default NULL,
  `smtp_password` varchar(40) default NULL,
  `collect` int(2) default NULL,
  `deletion` int(2) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `mail_attach`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@mail_attach`;
CREATE TABLE `@@DB_MAIN_PREFIX@@mail_attach` (
  `ID` int(8) NOT NULL auto_increment,
  `parent` int(8) default NULL,
  `filename` varchar(255) default NULL,
  `tempname` varchar(255) default NULL,
  `filesize` int(11) default NULL,
  PRIMARY KEY  (`ID`),
  KEY `mail_attach_parent` (`parent`)
) ENGINE=MyISAM ;


--
-- Table structure for table `mail_client`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@mail_client`;
CREATE TABLE `@@DB_MAIN_PREFIX@@mail_client` (
  `ID` int(8) NOT NULL auto_increment,
  `von` int(8) default NULL,
  `subject` varchar(255) default NULL,
  `body` text,
  `sender` varchar(128) default NULL,
  `recipient` text,
  `cc` text,
  `kat` varchar(40) default NULL,
  `remark` text,
  `date_received` varchar(20) default NULL,
  `touched` int(1) default NULL,
  `typ` char(1) default NULL,
  `parent` int(8) default NULL,
  `date_sent` varchar(20) default NULL,
  `header` text,
  `replyto` varchar(128) default NULL,
  `acc` text,
  `acc_write` text,
  `gruppe` int(8) default NULL,
  `body_html` text,
  `message_ID` varchar(255) default NULL,
  `projekt` int(6) default NULL,
  `contact` int(6) default NULL,
  `date_inserted` varchar(20) default NULL,
  `trash_can` char(1) default NULL,
  `replied` int(8) default NULL,
  `forwarded` int(8) default NULL,
  `account_ID` int(8) default NULL,
  PRIMARY KEY  (`ID`),
  KEY `mail_client_von` (`von`)
) ENGINE=MyISAM ;


--
-- Table structure for table `mail_rules`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@mail_rules`;
CREATE TABLE `@@DB_MAIN_PREFIX@@mail_rules` (
  `ID` int(8) NOT NULL auto_increment,
  `von` int(8) default NULL,
  `title` varchar(80) default NULL,
  `phrase` varchar(60) default NULL,
  `type` varchar(60) default NULL,
  `is_not` varchar(3) default NULL,
  `parent` int(8) default NULL,
  `action` varchar(10) default NULL,
  `projekt` int(6) default NULL,
  `contact` int(6) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `mail_sender`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@mail_sender`;
CREATE TABLE `@@DB_MAIN_PREFIX@@mail_sender` (
  `ID` int(8) NOT NULL auto_increment,
  `von` int(8) default NULL,
  `title` varchar(80) default NULL,
  `sender` varchar(255) default NULL,
  `signature` text,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `notes`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@notes`;
CREATE TABLE `@@DB_MAIN_PREFIX@@notes` (
  `ID` int(8) NOT NULL auto_increment,
  `von` int(8) default NULL,
  `name` varchar(255) default NULL,
  `remark` text,
  `contact` int(8) default NULL,
  `ext` int(8) default NULL,
  `div1` varchar(40) default NULL,
  `div2` varchar(40) default NULL,
  `projekt` int(6) default NULL,
  `sync1` varchar(20) default NULL,
  `sync2` varchar(20) default NULL,
  `acc` text,
  `acc_write` text,
  `gruppe` int(4) default NULL,
  `parent` int(6) default NULL,
  `kategorie` varchar(100) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `profile`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@profile`;
CREATE TABLE `@@DB_MAIN_PREFIX@@profile` (
  `ID` int(8) NOT NULL auto_increment,
  `von` int(8) default NULL,
  `bezeichnung` varchar(20) default NULL,
  `personen` text,
  `gruppe` int(8) default NULL,
  `acc` text,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `project_contacts_rel`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@project_contacts_rel`;
CREATE TABLE `@@DB_MAIN_PREFIX@@project_contacts_rel` (
  `ID` int(8) NOT NULL auto_increment,
  `project_ID` int(8) default NULL,
  `contact_ID` int(8) default NULL,
  `role` varchar(255) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `project_users_rel`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@project_users_rel`;
CREATE TABLE `@@DB_MAIN_PREFIX@@project_users_rel` (
  `ID` int(8) NOT NULL auto_increment,
  `project_ID` int(8) default NULL,
  `user_ID` int(8) default NULL,
  `role` varchar(255) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `projekt_statistik_einstellungen`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@projekt_statistik_einstellungen`;
CREATE TABLE `@@DB_MAIN_PREFIX@@projekt_statistik_einstellungen` (
  `id` int(8) NOT NULL auto_increment,
  `name` varchar(60) default NULL,
  `user_ID` int(8) default NULL,
  `startDate` varchar(10) default NULL,
  `endDate` varchar(10) default NULL,
  `withBooking` int(1) default NULL,
  `withComment` int(1) default NULL,
  `sortBy` varchar(40) default NULL,
  `isAllProjects` int(1) default NULL,
  `isAllUsers` int(1) default NULL,
  `show_group` int(1) default NULL,
  `period` varchar(3) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM ;


--
-- Table structure for table `projekt_statistik_projekte`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@projekt_statistik_projekte`;
CREATE TABLE `@@DB_MAIN_PREFIX@@projekt_statistik_projekte` (
  `stat_einstellung_ID` int(8) default NULL,
  `projekt_ID` int(8) default NULL
) ENGINE=MyISAM ;


--
-- Table structure for table `projekt_statistik_user`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@projekt_statistik_user`;
CREATE TABLE `@@DB_MAIN_PREFIX@@projekt_statistik_user` (
  `stat_einstellung_ID` int(8) default NULL,
  `user_ID` int(8) default NULL
) ENGINE=MyISAM ;


--
-- Table structure for table `projekte`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@projekte`;
CREATE TABLE `@@DB_MAIN_PREFIX@@projekte` (
  `ID` int(8) NOT NULL auto_increment,
  `name` varchar(80) default NULL,
  `ende` varchar(10) default NULL,
  `personen` text,
  `wichtung` varchar(20) default NULL,
  `status` int(3) default NULL,
  `statuseintrag` varchar(10) default NULL,
  `anfang` varchar(10) default NULL,
  `gruppe` int(4) default NULL,
  `chef` varchar(20) default NULL,
  `typ` varchar(40) default NULL,
  `parent` int(6) default NULL,
  `ziel` text,
  `note` text,
  `kategorie` varchar(40) default NULL,
  `contact` int(8) default NULL,
  `stundensatz` int(8) default NULL,
  `budget` int(11) default NULL,
  `div1` varchar(40) default NULL,
  `div2` varchar(40) default NULL,
  `depend_mode` int(2) default NULL,
  `depend_proj` int(6) default NULL,
  `next_mode` int(2) default NULL,
  `next_proj` int(6) default NULL,
  `probability` int(3) default NULL,
  `ende_real` varchar(10) default NULL,
  `acc` text,
  `acc_write` text,
  `von` int(8) default NULL,
  PRIMARY KEY  (`ID`),
  KEY `parent` (`parent`)
) ENGINE=MyISAM ;


--
-- Table structure for table `roles`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@roles`;
CREATE TABLE `@@DB_MAIN_PREFIX@@roles` (
  `ID` int(8) NOT NULL auto_increment,
  `von` int(6) default NULL,
  `title` varchar(60) default NULL,
  `remark` text,
  `summary` int(1) default NULL,
  `calendar` int(1) default NULL,
  `contacts` int(1) default NULL,
  `forum` int(1) default NULL,
  `chat` int(1) default NULL,
  `filemanager` int(1) default NULL,
  `bookmarks` int(1) default NULL,
  `votum` int(1) default NULL,
  `mail` int(1) default NULL,
  `notes` int(1) default NULL,
  `helpdesk` int(1) default NULL,
  `projects` int(1) default NULL,
  `timecard` int(1) default NULL,
  `todo` int(1) default NULL,
  `news` int(1) default NULL,
  `costs` int(1) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `rts`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@rts`;
CREATE TABLE `@@DB_MAIN_PREFIX@@rts` (
  `ID` int(8) NOT NULL auto_increment,
  `contact` int(4) default NULL,
  `submit` varchar(20) default NULL,
  `recorded` int(6) default NULL,
  `name` varchar(255) default NULL,
  `note` text,
  `due_date` varchar(20) default NULL,
  `status` varchar(20) default NULL,
  `assigned` varchar(20) default NULL,
  `priority` int(1) default NULL,
  `solution` text,
  `solved` int(4) default NULL,
  `solve_time` varchar(20) default NULL,
  `proj` int(6) default NULL,
  `acc_read` text,
  `acc_write` text,
  `von` int(8) default NULL,
  `gruppe` int(6) default NULL,
  `parent` int(8) default NULL,
  `visibility` varchar(20) default NULL,
  `filename` varchar(255) default NULL,
  `category` varchar(255) default NULL,
  `lock_user` int(6) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `rts_cat`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@rts_cat`;
CREATE TABLE `@@DB_MAIN_PREFIX@@rts_cat` (
  `ID` int(8) NOT NULL auto_increment,
  `name` varchar(60) default NULL,
  `users` varchar(10) default NULL,
  `gruppe` varchar(10) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `sync_rel`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@sync_rel`;
CREATE TABLE `@@DB_MAIN_PREFIX@@sync_rel` (
  `ID` int(11) NOT NULL auto_increment,
  `user_ID` int(8) default NULL,
  `sync_type` varchar(255) default NULL,
  `sync_version` varchar(255) default NULL,
  `sync_ID` varchar(255) default NULL,
  `sync_module` varchar(255) default NULL,
  `sync_checksum` varchar(40) default NULL,
  `phprojekt_ID` int(8) default NULL,
  `phprojekt_module` varchar(40) default NULL,
  `created` varchar(20) default NULL,
  `modified` varchar(20) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `termine`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@termine`;
CREATE TABLE `@@DB_MAIN_PREFIX@@termine` (
  `ID` int(11) NOT NULL auto_increment,
  `parent` int(11) default NULL,
  `serie_id` int(11) default NULL,
  `serie_typ` text,
  `serie_bis` varchar(10) default NULL,
  `von` int(8) default NULL,
  `an` int(8) default NULL,
  `event` varchar(128) default NULL,
  `remark` text,
  `projekt` int(8) default NULL,
  `datum` varchar(10) default NULL,
  `anfang` varchar(4) default NULL,
  `ende` varchar(4) default NULL,
  `ort` varchar(40) default NULL,
  `contact` int(8) default NULL,
  `remind` int(4) default NULL,
  `visi` int(1) default NULL,
  `partstat` int(1) default NULL,
  `priority` int(1) default NULL,
  `status` int(1) default NULL,
  `sync1` varchar(20) default NULL,
  `sync2` varchar(20) default NULL,
  `upload` text,
  PRIMARY KEY  (`ID`),
  KEY `termine_parent` (`parent`),
  KEY `termine_serie_id` (`serie_id`),
  KEY `termine_anfang` (`anfang`),
  KEY `termine_ende` (`ende`),
  KEY `termine_von` (`von`),
  KEY `termine_an` (`an`),
  KEY `termine_visi` (`visi`)
) ENGINE=MyISAM ;


--
-- Table structure for table `timecard`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@timecard`;
CREATE TABLE `@@DB_MAIN_PREFIX@@timecard` (
  `ID` int(8) NOT NULL auto_increment,
  `users` int(8) default NULL,
  `datum` varchar(10) default NULL,
  `projekt` int(8) default NULL,
  `anfang` int(4) default NULL,
  `ende` int(4) default NULL,
  `nettoh` int(2) default NULL,
  `nettom` int(2) default NULL,
  `ip_address` varchar(255) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `timeproj`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@timeproj`;
CREATE TABLE `@@DB_MAIN_PREFIX@@timeproj` (
  `ID` int(8) NOT NULL auto_increment,
  `users` int(4) default NULL,
  `projekt` int(4) default NULL,
  `datum` varchar(10) default NULL,
  `h` int(2) default NULL,
  `m` int(2) default NULL,
  `kat` varchar(255) default NULL,
  `note` text,
  `ext` int(2) default NULL,
  `div1` varchar(40) default NULL,
  `div2` varchar(40) default NULL,
  `module` varchar(255) default NULL,
  `module_id` int(8) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `todo`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@todo`;
CREATE TABLE `@@DB_MAIN_PREFIX@@todo` (
  `ID` int(8) NOT NULL auto_increment,
  `von` int(8) default NULL,
  `remark` varchar(255) default NULL,
  `ext` int(8) default NULL,
  `div1` text,
  `div2` varchar(40) default NULL,
  `note` text,
  `deadline` varchar(20) default NULL,
  `datum` varchar(20) default NULL,
  `status` int(1) default NULL,
  `priority` int(1) default NULL,
  `progress` int(4) default NULL,
  `project` int(6) default NULL,
  `contact` int(8) default NULL,
  `sync1` varchar(20) default NULL,
  `sync2` varchar(20) default NULL,
  `comment1` text,
  `comment2` text,
  `anfang` varchar(20) default NULL,
  `gruppe` int(4) default NULL,
  `acc` text,
  `acc_write` text,
  `parent` int(11) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@users`;
CREATE TABLE `@@DB_MAIN_PREFIX@@users` (
  `ID` int(8) NOT NULL auto_increment,
  `vorname` varchar(40) default NULL,
  `nachname` varchar(40) default NULL,
  `kurz` varchar(40) default NULL,
  `pw` varchar(40) default NULL,
  `firma` varchar(40) default NULL,
  `gruppe` int(4) default NULL,
  `email` varchar(60) default NULL,
  `acc` varchar(4) default NULL,
  `tel1` varchar(40) default NULL,
  `tel2` varchar(40) default NULL,
  `fax` varchar(40) default NULL,
  `strasse` varchar(40) default NULL,
  `stadt` varchar(40) default NULL,
  `plz` varchar(10) default NULL,
  `land` varchar(40) default NULL,
  `sprache` varchar(2) default NULL,
  `mobil` varchar(40) default NULL,
  `loginname` varchar(40) default NULL,
  `ldap_name` varchar(40) default NULL,
  `anrede` varchar(10) default NULL,
  `sms` varchar(60) default NULL,
  `role` int(4) default NULL,
  `settings` text,
  `hrate` varchar(20) default NULL,
  `remark` text,
  `usertype` int(1) default NULL,
  `status` int(1) default NULL,
  PRIMARY KEY  (`ID`),
  KEY `users_kurz` (`kurz`),
  KEY `users_gruppe` (`gruppe`)
) ENGINE=MyISAM ;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `@@DB_MAIN_PREFIX@@users` DISABLE KEYS */;
INSERT INTO `@@DB_MAIN_PREFIX@@users` VALUES (1,'root','root','root1','@@ADMIN_PASSWORD@@',NULL,NULL,NULL,'an',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'@@',NULL,'@@ADMIN_NAME@@',NULL,NULL,NULL,NULL,NULL,NULL,'Administrator',3,0),(2,'test','test','test1','',NULL,1,NULL,'cy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'en',NULL,'test',NULL,NULL,NULL,NULL,NULL,NULL,'Test User',0,0);
/*!40000 ALTER TABLE `@@DB_MAIN_PREFIX@@users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users_proxy`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@users_proxy`;
CREATE TABLE `@@DB_MAIN_PREFIX@@users_proxy` (
  `ID` int(8) NOT NULL auto_increment,
  `user_ID` int(8) default NULL,
  `proxy_ID` int(8) default NULL,
  PRIMARY KEY  (`ID`),
  KEY `users_proxy_pr_ID` (`proxy_ID`),
  KEY `users_proxy_usr_ID` (`user_ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `users_reader`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@users_reader`;
CREATE TABLE `@@DB_MAIN_PREFIX@@users_reader` (
  `ID` int(8) NOT NULL auto_increment,
  `user_ID` int(8) default NULL,
  `reader_ID` int(8) default NULL,
  PRIMARY KEY  (`ID`),
  KEY `users_reader_rd_ID` (`reader_ID`),
  KEY `users_reader_us_ID` (`user_ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `users_viewer`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@users_viewer`;
CREATE TABLE `@@DB_MAIN_PREFIX@@users_viewer` (
  `ID` int(8) NOT NULL auto_increment,
  `user_ID` int(8) default NULL,
  `viewer_ID` int(8) default NULL,
  PRIMARY KEY  (`ID`),
  KEY `users_viewer_vw_ID` (`viewer_ID`),
  KEY `users_viewer_us_ID` (`user_ID`)
) ENGINE=MyISAM ;


--
-- Table structure for table `votum`
--

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@votum`;
CREATE TABLE `@@DB_MAIN_PREFIX@@votum` (
  `ID` int(8) NOT NULL auto_increment,
  `datum` varchar(20) default NULL,
  `von` int(8) default NULL,
  `thema` varchar(255) default NULL,
  `modus` char(1) default NULL,
  `an` text,
  `fertig` text,
  `text1` varchar(60) default NULL,
  `text2` varchar(60) default NULL,
  `text3` varchar(60) default NULL,
  `zahl1` int(4) default NULL,
  `zahl2` int(4) default NULL,
  `zahl3` int(4) default NULL,
  `kein` int(4) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM ;

